=== debian/changelog ===
hw-detect (1.22ubuntu3) breezy; urgency=low

  * Sparc only change: remove sunlance, sunbmac and sunqe autoprobe.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Sat, 01 Oct 2005 17:29:03 +0200

hw-detect (1.22ubuntu2) breezy; urgency=low

  * Sparc only change: be sure to load modules for devices that can be on sbus
    (not hotplug friendly yet)

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Thu, 29 Sep 2005 15:45:59 +0200

hw-detect (1.22ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 28 Jul 2005 16:30:32 +0100

hw-detect (1.22) unstable; urgency=low

  [ Joey Hess ]
  * Robustness fix in apply_pcmcia_resource_opts: ignore incomplete user input

  [ Colin Watson ]
  * Most of archdetect moved to libdebian-installer so that it can be used
    by other C code in d-i more conveniently. Use di_system_subarch_analyze
    from there.

  * Updated translations:
    - German (de.po) by Dennis Stampfer
    - Spanish (es.po) by Javier Fernández-Sanguino Peña
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Macedonian (mk.po) by Georgi Stanojevski
    - Dutch (nl.po) by Bart Cornelis
    - Polish (pl.po) by Bartosz Fenski
    - Russian (ru.po) by Yuri Kozlov
    - Slovenian (sl.po) by Jure Čuhalev
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Colin Watson <cjwatson@debian.org>  Thu, 28 Jul 2005 10:59:46 +0100

hw-detect (1.21ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 20 Jul 2005 14:43:23 +0100

hw-detect (1.21) unstable; urgency=low

  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Hebrew (he.po) by Lior Kaplan
    - Indonesian (id.po) by Arief S Fitrianto
    - Japanese (ja.po) by Kenshi Muto
    - Lithuanian (lt.po) by Kęstutis Biliūnas
    - Tagalog (tl.po) by Eric Pareja
    - Wolof (wo.po) by Mouhamadou Mamoune Mbacke
    - Simplified Chinese (zh_CN.po) by Carlos Z.F. Liu

 -- Joey Hess <joeyh@debian.org>  Fri, 15 Jul 2005 16:52:02 +0300

hw-detect (1.20) unstable; urgency=low

  [ Joey Hess ]
  * Remove the missing modules warning, which was confusing to users and only
    useful for debugging. Missing modules are still logged, and d-i already 
    handles helping the user with important undeteted hardware (ethernet,
    cdrom, disk).
  
  * Updated translations: 
    - Bulgarian (bg.po) by Ognyan Kulev
    - Catalan (ca.po) by Guillem Jover
    - Czech (cs.po) by Miroslav Kure
    - Danish (da.po) by Claus Hindsgaul
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Basque (eu.po) by Piarres Beobide
    - French (fr.po) by Christian Perrier
    - Gallegan (gl.po) by Jacobo Tarrio
    - Italian (it.po) by Giuseppe Sacco
    - Japanese (ja.po) by Kenshi Muto
    - Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
    - Romanian (ro.po) by Eddy Petrişor
    - Slovak (sk.po) by Peter Mann
    - Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Joey Hess <joeyh@debian.org>  Thu, 30 Jun 2005 17:09:55 -0400

hw-detect (1.19) unstable; urgency=low

  * Colin Watson
    - Don't install pcmcia-cs if hw-detect/start_pcmcia=false; at least on
      2.6 kernels, the /sys nodes can end up being present even if PCMCIA
      hasn't been started (Ubuntu bug #8678).
    - Fix DEB_HOST_ARCH_* compatibility code to handle the various special
      cases.
  * Joey Hess
    - Rename hw-detect-full to disk-detect.
    - Add a disk-detect command, which uses hw-detect to load any additional
      drivers, as hw-detect-full did, but which also checks to see if any
      disks were found, and if none are, allows the user to select driver
      modules from a list, or load more from a floppy. Closes: #283193
    - disk-detect will use partman's parted_devices command if available to
      see if any disks are found. Otherwise it falls back to a devfs find
      similar to that used by partitioner and autopartkit. This is probably
      good enough, but partman could be extended for network filesystems or
      something else and disk-detect's check would not know about it.
    - Move retry_params template to hw-detect so disk-detect can use it too.
      hw-detect might also use it in the future. Same with load_floppy
      template.
    - Remove ethdetect/modprobe_error template, as it's identical to
      hw-detect/modprobe_error. Use the latter in ethdetect.
    - Direct some modprobe output to /var/log/messages in ethdetect as is done
      in hw-detect.
    - Add a cleanup function to ethdetect.
    - Rename the source package as it's going through NEW anyway.
  * Updated translations: 
    - Greek, Modern (1453-) (el.po) by Greek Translation Team
    - Portuguese (pt.po) by Miguel Figueiredo
    - Romanian (ro.po) by Eddy Petrişor

 -- Joey Hess <joeyh@debian.org>  Fri, 17 Jun 2005 23:06:58 -0400

ddetect (1.18ubuntu2) breezy; urgency=low

  * Don't register ide-* modules; hotplug is responsible for loading them
    now (closes: Ubuntu #9099).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Jun 2005 12:59:14 +0100

ddetect (1.18ubuntu1) breezy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  7 Jun 2005 21:07:06 +0100

ddetect (1.18) unstable; urgency=low

  * Joey Hess
    - archdetect postinst removed
    - debian-installer/kernel/subarchitecture is no longer supported,
      just run archdetect instead.
    - remove archdetect-deb binary and source as it and archdetect are now
      identical
  * Colin Watson
    - Use DEB_HOST_ARCH_* variables if available so that we work correctly
      with dpkg 1.13.
    - hw-detect and ethdetect are entirely Linux-specific, so make them do
      nothing on the Hurd for now.
    - Make discover | hotplug-udeb dependency Linux-specific.
    - No longer build-depend on libdebconfclient0-dev, due to archdetect
      change.
  * Updated translations:
    - Arabic (ar.po) by Ossama M. Khayat
    - Czech (cs.po) by Miroslav Kure

