## hw-detect 1.32ubuntu8

=== Makefile ===
--- 
+++ 
@@ -22,9 +22,10 @@
 
 bindir=$(DESTDIR)/bin/
 hpdir=$(DESTDIR)/etc/hotplug.d
+udevdir=$(DESTDIR)/etc/udev/rules.d
 didir=$(DESTDIR)/lib/debian-installer.d
 pbcdir=$(DESTDIR)/usr/lib/prebaseconfig.d
-cpdir=$(DESTDIR)/usr/lib/casper/pre.d
+sharedir=$(DESTDIR)/usr/share/hw-detect/
 
 INSTALL=install
 INSTALL_DATA = ${INSTALL} -m 644
@@ -44,15 +45,20 @@
 	$(INSTALL) hw-detect.sh $(bindir)/hw-detect
 	$(INSTALL) hotplug-pcmcia.sh $(bindir)/hotplug-pcmcia
 	$(INSTALL) sysfs-update-devnames.sh $(bindir)/sysfs-update-devnames
+	$(INSTALL) -d $(udevdir)
+	$(INSTALL_DATA) net-hotplug.rules $(udevdir)/010_net-hotplug.rules
 	$(INSTALL) -d $(hpdir)/net
-	$(INSTALL) net-hotplug.sh $(hpdir)/net/ddetect.hotplug
+	$(INSTALL) net-hotplug.sh $(hpdir)/net/hw-detect.hotplug
 	$(INSTALL) -d $(pbcdir)
 	$(INSTALL) hw-detect.prebaseconfig $(pbcdir)/30hw-detect
-	$(INSTALL) -d $(cpdir)
-	ln -s ../../prebaseconfig.d/30hw-detect $(cpdir)/30hw-detect
 ifeq ($(DEB_HOST_ARCH),powerpc)
 	$(INSTALL) discover-mac-io.sh $(bindir)/discover-mac-io
-	$(INSTALL) discover-rs6k.sh $(bindir)/discover-rs6k
+	$(INSTALL) discover-ibm.sh $(bindir)/discover-ibm
+endif
+ifeq ($(DEB_HOST_ARCH),sparc)
+	$(INSTALL) discover-sbus.sh $(bindir)/discover-sbus
+	$(INSTALL) -d $(sharedir)
+	$(INSTALL_DATA) sbus.list $(sharedir)/sbus.list
 endif
 else
 	$(INSTALL) detect-stub.sh $(bindir)/hw-detect
