=== debian/changelog ===
hw-detect (1.32ubuntu8) dapper-proposed; urgency=low

  * Backport from trunk (LP: #22220):
    - Offer disk devices from drivers/message/fusion and
      drivers/message/i2o.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 07 Aug 2007 10:31:38 +0100

hw-detect (1.32ubuntu7) dapper-updates; urgency=low

  * Backport from trunk (Frans Pop):
    - Add support for detecting sbus devices on sparc now that we are not
      using discover anymore. May need to be extended to also add the
      drivers to the initramfs initrd or /etc/modules. Uses prtconf from
      sparc-utils-udeb.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 23 Jun 2006 09:30:00 +0200

hw-detect (1.32ubuntu6) dapper; urgency=low

  * Backport from trunk:
    - Fix sysfs-update-devnames not to try to use 'local' outside a
      function, which bash doesn't like.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  8 May 2006 11:48:09 +0100

hw-detect (1.32ubuntu5) dapper; urgency=low

  * Take floppy back out of /etc/modules; turns out the kernel's PnP
    subsystem is broken.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  2 Mar 2006 13:11:19 +0000

hw-detect (1.32ubuntu4) dapper; urgency=low

  * Add floppy to /etc/modules (closes: Malone #32599).

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Feb 2006 11:03:44 +0000

hw-detect (1.32ubuntu3) dapper; urgency=low

  * Remove old hack to register specific sparc modules.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 24 Feb 2006 11:28:14 +0100

hw-detect (1.32ubuntu2) dapper; urgency=low

  * Stop registering mousedev, which is built into the kernel now.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  2 Feb 2006 18:15:21 +0000

hw-detect (1.32ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Drop casper symlinks, no longer required following casper's
    reimplementation as initramfs hooks.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 18 Jan 2006 01:06:30 +0000

hw-detect (1.32) unstable; urgency=low

  * I observed a scsi disk that required three seconds from the end of
    hw-detect until the kernel brought it up. (This may have involved udev,
    not sure). Try to deal with this kind of race slightly better in
    disk-detect by probing a few times with short pauses before concluding
    that there is no disk.

  [ Updated translations ]
  * Catalan (ca.po) by Guillem Jover
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Finnish (fi.po) by Tapio Lehtonen
  * Swedish (sv.po) by Daniel Nylander
  * Vietnamese (vi.po) by Clytie Siddall

 -- Joey Hess <joeyh@debian.org>  Mon,  2 Jan 2006 21:15:56 -0500

hw-detect (1.31) unstable; urgency=low

  * If d-i is using pcmciautils-udeb instead of pcmcia-cs-udeb (needed on
    2.6.13 kernels), then install pcmciautils as well as pcmcia-cs.
  * The new update-dev that handles udev has been around for a while, so
    drop old calls to udevstart/udevsynthesize.
  * Install discover1 in /target even if d-i is using udev, since X's
    maintainer scripts need discover.

  [ Updated translations ]
  * Galician (gl.po) by Jacobo Tarrio
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Slovenian (sl.po) by Jure Čuhalev

 -- Colin Watson <cjwatson@debian.org>  Sun, 25 Dec 2005 15:12:11 +0000

hw-detect (1.30) unstable; urgency=low

  * udebs are not allowed to have ORed deps (and it was adding cruft to the
    build) so remove the discover/udev deps entirely. It would be better to
    use a depends on something provided by both packages, but these deps are
    not really needed since both hw-detect and one or the other is part of the
    d-i base system.

 -- Joey Hess <joeyh@debian.org>  Sat,  3 Dec 2005 12:55:10 -0500

hw-detect (1.29ubuntu2) dapper; urgency=low

  * Replace another udevsynthesize call with update-dev.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon,  5 Dec 2005 22:50:30 +0000

hw-detect (1.29ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.
  * Depend on udev-udeb ahead of discover to make sure germinate doesn't get
    confused.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  2 Dec 2005 11:31:56 +0000

hw-detect (1.29) unstable; urgency=low

  * Add udev-udeb as alternate dependency for discover.

  [ Updated translations ]
  * Latvian (lv.po) by Aigars Mahinovs

 -- Colin Watson <cjwatson@debian.org>  Fri,  2 Dec 2005 10:38:29 +0000

hw-detect (1.28ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  1 Dec 2005 13:26:37 +0000

hw-detect (1.28) unstable; urgency=low

  [ Frans Pop ]
  * Drop dependency on hotplug-udeb for hw-detect as there's no such thing.
  * ethdetect.sh: avoid grep error if /etc/network/devnames doesn't exist.

  [ Colin Watson ]
  * Rename /etc/network/devnames.gz to /etc/network/devnames-static.gz to
    avoid confusion with /etc/network/devnames (closes: #340919).
  * Consider HOTPLUG_TYPE as udev if the hotplug handler is empty (i.e.
    udevd is listening for events on a netlink socket).

  [ Updated translations ]
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Russian (ru.po) by Yuri Kozlov

 -- Colin Watson <cjwatson@debian.org>  Thu,  1 Dec 2005 13:04:27 +0000

hw-detect (1.27) unstable; urgency=low

  * If we're running with udev, apt-install udev rather than hotplug.

  [ Updated translations ]
  * French (fr.po) by Christian Perrier
  * Japanese (ja.po) by Kenshi Muto
  * Romanian (ro.po) by Eddy Petrişor

 -- Colin Watson <cjwatson@debian.org>  Tue, 22 Nov 2005 21:16:15 +0000

hw-detect (1.26ubuntu1) dapper; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 21 Nov 2005 13:03:49 +0000

hw-detect (1.26) unstable; urgency=low

  [ Colin Watson ]
  * If udevstart is missing, try udevsynthesize instead to try to get udev
    to create pending device nodes.

 -- Joey Hess <joeyh@debian.org>  Wed, 16 Nov 2005 18:30:21 -0500

hw-detect (1.25) unstable; urgency=low

  [ Colin Watson ]
  * If we're using coldplugging udev rather than hotplug, run udevsynthesize

