=== debian/rules ===
--- 
+++ 
@@ -13,23 +13,17 @@
   endif
 endif
 
-ifeq ($(DEB_HOST_ARCH_OS),linux)
-discover := discover | hotplug-udeb
-else
-discover :=
-endif
-
 build: build-stamp
 build-stamp:
 	dh_testdir
 	$(MAKE)
-	grep -v '^#' devnames.txt | gzip -9c > devnames.gz
+	grep -v '^#' devnames-static.txt | gzip -9c > devnames-static.gz
 	touch build-stamp
 
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp devnames.gz
+	rm -f build-stamp devnames-static.gz
 	-$(MAKE) clean
 	dh_clean
 
@@ -40,7 +34,7 @@
 	dh_installdirs
 	$(foreach PACKAGE, $(shell dh_listpackages), \
 	  $(MAKE) install-$(PACKAGE) DESTDIR=$(CURDIR)/debian/$(PACKAGE);)
-	cp devnames.gz debian/ethdetect/etc/network/ 
+	cp devnames-static.gz debian/ethdetect/etc/network/ 
 
 binary-indep: build install
 	dh_testdir
@@ -62,7 +56,7 @@
 	dh_fixperms -a
 	dh_installdeb -a
 	dh_shlibdeps -a
-	dh_gencontrol -a -- -V'hw-detect:discover=$(discover)'
+	dh_gencontrol -a
 	dh_builddeb -a
 
 binary: binary-indep binary-arch
