## hw-detect 1.41ubuntu2

=== debian/changelog ===
hw-detect (1.41ubuntu2) edgy; urgency=low

  * Backport from trunk:
    - Use list-devices to check for disks if parted_devices if unavailable.
      Requires di-utils 1.33.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Aug 2006 11:13:10 +0100

hw-detect (1.41ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 29 Aug 2006 10:25:30 +0100

hw-detect (1.41) unstable; urgency=low

  [ Colin Watson ]
  * Install pcmciautils on 2.6 installs even if pcmcia-cs-udeb is present
    for some reason (closes: #381863).

  [ Frans Pop ]
  * Remove standards-version and add Lintian override for it.

  [ Updated translations ]
  * Spanish (es.po) by Javier Fernández-Sanguino Peña

 -- Frans Pop <fjp@debian.org>  Sun, 20 Aug 2006 01:10:14 +0200

hw-detect (1.40) unstable; urgency=low

  [ Joey Hess ]
  * Only install discover into /target if udev is not being used. The only
    user of discover on 2.6 systems is X, which gets it installed via the
    desktop task preinst.

  [ Frans Pop ]
  * discover-mac-io.sh: snd-powermac can lock up G5 iMac and Power Mac.
    Patch proposed by Colin Watson. Closes: #380082.

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Sun, 30 Jul 2006 01:39:50 +0200

hw-detect (1.39) unstable; urgency=low

  [ Frans Pop ]
  * Only ask FireWire question if a FireWire interface is actually present.

  [ Colin Watson ]
  * Fix disk_found to return 1 (no disks found) if it falls off the end of
    its loop.
  * If /proc/sys/kernel/hotplug is empty or /sbin/udevsend, then
    HOTPLUG_TYPE is always udev even if /etc/hotplug is present (closes:
    https://launchpad.net/bugs/53400).

  [ Otavio Salvador ]
  * Install pbbuttonsd if /sys/class/misc/pmu/ is found. Closes: #379197

  [ Updated translations ]
  * Estonian (et.po) by Siim Põder
  * Gujarati (gu.po) by Kartik Mistry
  * Hungarian (hu.po) by SZERVÁC Attila
  * Dutch (nl.po) by Bart Cornelis
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Tue, 25 Jul 2006 13:04:38 +0200

hw-detect (1.38ubuntu3) edgy; urgency=low

  * If /proc/sys/kernel/hotplug is empty or /sbin/udevsend, then
    HOTPLUG_TYPE is always udev even if /etc/hotplug is present (closes:
    Malone #53400).

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 19 Jul 2006 07:35:48 +0100

hw-detect (1.38ubuntu2) edgy; urgency=low

  * Backport from trunk:
    - Fix disk_found to return 1 (no disks found) if it falls off the end of
      its loop.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 18 Jul 2006 15:29:49 +0100

hw-detect (1.38ubuntu1) edgy; urgency=low

  * Resynchronise with Debian.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 28 Jun 2006 13:21:11 +0100

hw-detect (1.38) unstable; urgency=low

  * Change ethdetect menu item number from 15 to 18. cdrom-detect, load-iso,
    load-cdrom, ethdetect, and s390-netdevice are all changed due to this and
    should transition together.
    Closes: #373097

 -- Joey Hess <joeyh@debian.org>  Tue, 13 Jun 2006 20:31:08 -0400

hw-detect (1.37) unstable; urgency=low

  * prebaseconfig transition

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jun 2006 22:02:51 -0400

hw-detect (1.36) unstable; urgency=low

  [ Frans Pop ]
  * devnames-static.txt: update descriptions for some Sun Ethernet devices.

  [ Joey Hess ]
  * Remove code for i8042 and atkbd on powerpc, has been in rootskel for a
    long time.
  * Only register the psmouse module for 2.4 kernels, udev will handle it for
    2.6.
  * Only register ide-detect, ide-cd, and ide-disk for 2.4, ditto.
  * Only register sr_mod and sd_mod for 2.4 as well.

  [ Christian Perrier ]
  * Split Choices fields in debconf templates. Will minimize translators errors.

  [ Colin Watson ]
  * Fix sysfs-update-devnames not to try to use 'local' outside a function,
    which bash doesn't like.
  * Use /etc/init.d/pcmciautils if available, so that pcmciautils-udeb and
    pcmcia-cs-udeb don't have to contain the same file (and thus break if
    pcmcia-cs-udeb accidentally gets unpacked into a 2.6 installer).

  [ Joey Hess ]
  * Removed some unnecessary and/or redundant debugging lines.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Basque (eu.po) by Piarres Beobide
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hungarian (hu.po) by SZERVÑC Attila
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Georgian (ka.po) by Aiet Kolkhi
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Macedonian (mk.po) by Georgi Stanojevski
  * Bokmål, Norwegian (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (pt.po) by Miguel Figueiredo
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş
  * Vietnamese (vi.po) by Clytie Siddall

 -- Colin Watson <cjwatson@debian.org>  Wed,  7 Jun 2006 01:20:20 +0100

hw-detect (1.35) unstable; urgency=low

  * hwdetect.sh: look in /proc/modules instead of using lsmod.
  * discover-sbus: queue SCSI sbus modules for inclusion in initrd and NIC

