## hw-detect 1.50

=== debian/changelog ===
hw-detect (1.50) unstable; urgency=low

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Malayalam (ml.po) by Praveen A
  * Swedish (sv.po) by Daniel Nylander
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Tue, 27 Feb 2007 16:49:26 +0100

hw-detect (1.49) unstable; urgency=low

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:35:05 +0100

hw-detect (1.48) unstable; urgency=low

  * hw-detect.sh: [hppa] make sure initramfs-tools will load scsi modules for
    controlers on a native HP bus. Closes: #406735.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)

 -- Frans Pop <fjp@debian.org>  Wed, 24 Jan 2007 02:14:10 +0100

hw-detect (1.47) unstable; urgency=low

  * sysfs-update-devnames.sh
    FireWire Ethernet devices are often a subdevice of the actual (PCI)
    controller and thus do not have vendor/device info under /sys/class/net.
    However, we can recognize FireWire devices by their bus type. Having this
    recognition should make it easier for users to identify their "regular"
    Ethernet NIC.

  [ Updated translations ]
  * Danish (da.po) by Claus Hindsgaul
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Galician (gl.po) by Jacobo Tarrio
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Thu, 11 Jan 2007 15:17:33 +0100

hw-detect (1.46) unstable; urgency=low

  * Change menu item for ethdetect from 18 to 17 so that ppp-udeb does not
    get skipped.

  [ Updated translations ]
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Thu, 21 Dec 2006 16:24:44 +0100
